<!-- Keep a Changelog guide -> https://keepachangelog.com -->

# ComTest Rider Changelog

## [Unreleased]

## [1.1.2]
### Changed
- Updated configuration to support IDEA 2023.3 and Rider 2023.3

## [1.1.1]
### Changed
- Updated ComTest v2 to build 387

## [1.1.0]
### Added
- Added new `ComTest: Generate Tests` action. The action only generates tests without running them.
- ComTest actions now can be run on a single project by right-clicking the project in the solution explorer.

### Changed
- ComTest log now only automatically opens on the first run. For subsequent runs, it is kept in the background.

## [1.0.7]
### Changed
- Updated ComTest v2 to build 386

## [1.0.6]
### Changed
- Updated ComTest v2 to build 385

## [1.0.5]
### Changed
- Updated configuration to support IDEA 2023.2 and Rider 2023.2
 
## [1.0.4]
### Changed
- Updated configuration to support IDEA 2023.1

## [1.0.3]
### Fixed
- Fixed tests not being discovered in multi-project setup in Rider

## [1.0.2]
### Fixed
- Fixed `java.lang.NoSuchFieldError: Companion` in Rider

## [1.0.1]
### Fixed
- Fixed unit tests not being run in Rider after test generation

## [1.0.0]
### Added
- Added support for Java projects via JUnit

### Changed
- The internal structure of the plugin has been changed to support both Rider and IDEA 

## [0.2.1]
### Fixed
- Fixed not working on 2022.3

## [0.2.0]
### Added
- Add ComTest snippet for generating correct doctest template (`comt`)

## [0.1.2]
### Fixed
- Fix valid compatibility range

## [0.1.1]
### Fixed
- Fix plugin's platform dependency specifier

## [0.1.0]
### Added
- Initial ComTest generation support
